gr-baz Package

baz_radar_detector.h File Reference
`#include <gnuradio/block.h>`
`#include <gnuradio/msg_queue.h>`
Include dependency graph for baz_radar_detector.h:

Go to the source code of this file.

## Classes
class | baz_radar_detector
| radar_detector a stream of floats. More...
struct | baz_radar_detector::ath5k_radar_error

## Functions
BAZ_API baz_radar_detector_sptr | baz_make_radar_detector (int sample_rate, gr::msg_queue::sptr msgq)
| Return a shared_ptr to a new instance of baz_radar_detector.

## Variables
class BAZ_API | baz_radar_detector

## Function Documentation

## ◆ baz_make_radar_detector()

BAZ_API baz_radar_detector_sptr baz_make_radar_detector | ( | int | sample_rate,
|  | gr::msg_queue::sptr | msgq )

Return a shared_ptr to a new instance of baz_radar_detector.

To avoid accidental use of raw pointers, baz_radar_detector's constructor is private. baz_make_block_status is the public interface for creating new instances.

References BAZ_API.

## Variable Documentation

## ◆ baz_radar_detector

class BAZ_API baz_radar_detector